> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pingmee.co.il/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Agents

> Associate agents to a conversation.



## OpenAPI

````yaml POST /conversations/{id}/agents
openapi: 3.1.0
info:
  title: Pingmee API
  description: A complete guide to Pingmee micro service architecture.
  version: 1.0.0
servers:
  - url: https://api.pingmee.co.il
security:
  - cookieAuth: []
    ApiKeyAuth: []
paths:
  /conversations/{id}/agents:
    post:
      description: Associate agents to a conversation.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Unique identifiers of the conversation participants.
      requestBody:
        description: List of agent IDs to associate with the conversation.
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - agentIds
              properties:
                agentIds:
                  type: array
                  items:
                    type: string
                  description: Agent IDs to associate.
              additionalProperties: false
      responses:
        '200':
          description: Agents associated successfully
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: header
      name: Cookie
      description: Personal access token from Pingmee Settings → Developer Tools
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Business API key from Pingmee Settings → Developer Tools

````